<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML3.2 EN">
<HTML>
<HEAD>
<META NAME="GENERATOR" CONTENT="DOCTEXT">
<TITLE>MATPLAPACK</TITLE>
</HEAD>
<BODY BGCOLOR="FFFFFF">
<A NAME="MATPLAPACK"><H1>MATPLAPACK</H1></A>
<A HREF="../Mat/MATPLAPACK.html#MATPLAPACK">MATPLAPACK</A> = "plapack" - A matrix type providing direct solvers (LU, Cholesky, and QR)  for parallel dense matrices via the external package PLAPACK. If PLAPACK is installed (see the manual for
instructions on how to declare the existence of external packages),
a matrix type can be constructed which invokes PLAPACK solvers.
After calling <A HREF="../Mat/MatCreate.html#MatCreate">MatCreate</A>(...,A), simply call <A HREF="../Mat/MatSetType.html#MatSetType">MatSetType</A>(A,<A HREF="../Mat/MATPLAPACK.html#MATPLAPACK">MATPLAPACK</A>).
<P>
This matrix inherits from <A HREF="../Mat/MATSEQDENSE.html#MATSEQDENSE">MATSEQDENSE</A> when constructed with a single process communicator,
and from <A HREF="../Mat/MATMPIDENSE.html#MATMPIDENSE">MATMPIDENSE</A> otherwise. One can also call <A HREF="../Mat/MatConvert.html#MatConvert">MatConvert</A> for an inplace
conversion to or from the <A HREF="../Mat/MATSEQDENSE.html#MATSEQDENSE">MATSEQDENSE</A> or <A HREF="../Mat/MATMPIDENSE.html#MATMPIDENSE">MATMPIDENSE</A> type (depending on the communicator <A HREF="../Sys/size.html#size">size</A>)
without data copy.
<P>
<H3><FONT COLOR="#CC3333">Options Database Keys</FONT></H3>
<TABLE border="0" cellpadding="0" cellspacing="0">
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>-mat_type plapack </B></TD><TD>- sets the matrix type to "plapack" during a call to <A HREF="../Mat/MatSetFromOptions.html#MatSetFromOptions">MatSetFromOptions</A>()
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>-mat_plapack_nprows &lt;n&gt; </B></TD><TD>- number of rows in processor partition
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>-mat_plapack_npcols &lt;n&gt; </B></TD><TD>- number of columns in processor partition
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>-mat_plapack_nb &lt;n&gt; </B></TD><TD>- block <A HREF="../Sys/size.html#size">size</A> of template vector
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>-mat_plapack_nb_alg &lt;n&gt; </B></TD><TD>- algorithmic block <A HREF="../Sys/size.html#size">size</A>
</TD></TR>
<TR><TD WIDTH=40></TD><TD ALIGN=LEFT VALIGN=TOP><B>-mat_plapack_ckerror &lt;n&gt; </B></TD><TD>- error checking flag
</TD></TR></TABLE>
<P>

<P>
<H3><FONT COLOR="#CC3333">See Also</FONT></H3>
 <A HREF="../Mat/MATDENSE.html#MATDENSE">MATDENSE</A>, <A HREF="../PC/PCLU.html#PCLU">PCLU</A>, PCCHOLESKY
<BR><P><B><P><B><FONT COLOR="#CC3333">Level:</FONT></B>beginner
<BR><FONT COLOR="#CC3333">Location:</FONT></B><A HREF="../../../src/mat/impls/dense/mpi/plapack/plapack.c.html#MATPLAPACK">src/mat/impls/dense/mpi/plapack/plapack.c</A>
<BR><A HREF="./index.html">Index of all Mat routines</A>
<BR><A HREF="../../index.html">Table of Contents for all manual pages</A>
<BR><A HREF="../singleindex.html">Index of all manual pages</A>
</BODY></HTML>
